IPSW-SWIFT-DUMP(1)

NAME
ipsw-swift-dump - 🚧 Swift class-dump a dylib from a DSC or MachO

SYNOPSIS
ipsw swift-dump [ |] [flags]

DESCRIPTION
🚧 Swift class-dump a dylib from a DSC or MachO

OPTIONS
--all[=false]
    Dump ALL dylbs from DSC

--arch=""
    Which architecture to use for fat/universal MachO

-a, --ass=""
    Dump associated type (regex)

--demangle[=false]
    Demangle symbol names

--deps[=false]
    Dump imported private frameworks as well

-e, --ext=""
    Dump extension (regex)

--extra[=false]
    Dump all other Swift sections/info

--headers[=false]
    Create separate header files for each Swift type/protocol/extension

-h, --help[=false]
    help for swift-dump

-i, --interface[=false]
    🚧 Dump Swift Interface

-o, --output=""
    🚧 Folder to write interface to

-p, --proto=""
    Dump protocol (regex)

--theme="nord"
    Color theme (nord, github, etc)

-y, --type=""
    Dump type (regex)

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw(1)

HISTORY
10-Jul-2025 Auto generated by spf13/cobra